Bug 1431735 - Review Request: golang-github-cznic-sortutil - Supplemental utilities for Go's sort package
Summary: Review Request: golang-github-cznic-sortutil - Supplemental utilities for Go'...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ben Rosser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1246528 (view as bug list)
Depends On: 1246526 1431587
Blocks: 1431745
TreeView+ depends on / blocked
 
Reported: 2017-03-13 16:31 UTC by Fabio Valentini
Modified: 2020-02-21 07:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-09 16:42:08 UTC
Type: ---
rosser.bjr: fedora-review+


Attachments (Terms of Use)

Description Fabio Valentini 2017-03-13 16:31:39 UTC
Spec URL: https://decathorpe.fedorapeople.org/packages/golang-github-cznic-sortutil.spec

SRPM URL: https://decathorpe.fedorapeople.org/packages/golang-github-cznic-sortutil-0-0.1.git4c73428.fc25.src.rpm

Description: Supplemental utilities for Go's sort package

Fedora Account System Username: decathorpe

This package is one of the (indirect) dependencies of syncthing. I can't provide a koji scratch build yet, since it depends on golang-github-cznic-mathutil for unit tests.

Comment 1 Fabio Valentini 2017-03-28 09:21:58 UTC
Pinging reviewer.

Comment 2 Ben Rosser 2017-03-29 15:17:14 UTC
Apologies; I meant to review these last week, but didn't have the time.

Package is APPROVED, everything looks fine.


This is a review *template*. Besides handling the [ ]-marked tests you are
also supposed to fix the template before pasting into bugzilla:
- Add issues you find to the list of issues on top. If there isn't such
  a list, create one.
- Add your own remarks to the template checks.
- Add new lines marked [!] or [?] when you discover new things not
  listed by fedora-review.
- Change or remove any text in the template which is plain wrong. In this
  case you could also file a bug against fedora-review
- Remove the "[ ] Manual check required", you will not have any such lines
  in what you paste.
- Remove attachments which you deem not really useful (the rpmlint
  ones are mandatory, though)
- Remove this text



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (2 clause)", "Unknown or generated". 6 files have unknown
     license. Detailed output of licensecheck in
     /home/bjr/Programming/fedora/reviews/1431735-golang-github-cznic-
     sortutil/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gocode/src,
     /usr/share/gocode, /usr/share/gocode/src/github.com
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in golang-
     github-cznic-sortutil-devel , golang-github-cznic-sortutil-unit-test-
     devel
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-github-cznic-sortutil-devel-0-0.1.git4c73428.fc27.noarch.rpm
          golang-github-cznic-sortutil-unit-test-devel-0-0.1.git4c73428.fc27.x86_64.rpm
          golang-github-cznic-sortutil-0-0.1.git4c73428.fc27.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
golang-github-cznic-sortutil-devel (rpmlib, GLIBC filtered):

golang-github-cznic-sortutil-unit-test-devel (rpmlib, GLIBC filtered):
    golang(github.com/cznic/mathutil)
    golang-github-cznic-sortutil-devel



Provides
--------
golang-github-cznic-sortutil-devel:
    golang(github.com/cznic/sortutil)
    golang-github-cznic-sortutil-devel

golang-github-cznic-sortutil-unit-test-devel:
    golang-github-cznic-sortutil-unit-test-devel
    golang-github-cznic-sortutil-unit-test-devel(x86-64)



Source checksums
----------------
https://github.com/cznic/sortutil/archive/4c7342852e65c2088c981288f2c5610d10b9f7f4/cznic-sortutil-4c73428.tar.gz :
  CHECKSUM(SHA256) this package     : 4f5d11bd722fb1b272c04f59307ab4c49660f5083de3f1df410df8918b598a31
  CHECKSUM(SHA256) upstream package : 4f5d11bd722fb1b272c04f59307ab4c49660f5083de3f1df410df8918b598a31


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1431735 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Fabio Valentini 2017-03-29 18:52:37 UTC
Thanks for the review!

Comment 4 Gwyn Ciesla 2017-03-29 21:22:01 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/golang-github-cznic-sortutil

Comment 5 Fedora Update System 2017-04-04 18:10:35 UTC
golang-github-cznic-sortutil-0-0.1.git4c73428.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-759be82f1b

Comment 6 Fedora Update System 2017-04-04 18:17:51 UTC
golang-github-cznic-sortutil-0-0.1.git4c73428.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ee335a33cd

Comment 7 Fedora Update System 2017-04-04 21:07:46 UTC
golang-github-cznic-sortutil-0-0.1.git4c73428.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b7696240e0

Comment 8 Fedora Update System 2017-04-05 19:53:56 UTC
golang-github-cznic-sortutil-0-0.1.git4c73428.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ee335a33cd

Comment 9 Fedora Update System 2017-04-05 19:54:01 UTC
golang-github-cznic-sortutil-0-0.1.git4c73428.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b7696240e0

Comment 10 Fedora Update System 2017-04-05 21:54:27 UTC
golang-github-cznic-sortutil-0-0.1.git4c73428.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-759be82f1b

Comment 11 Fedora Update System 2017-04-09 16:42:08 UTC
golang-github-cznic-sortutil-0-0.1.git4c73428.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-04-13 22:48:18 UTC
golang-github-cznic-sortutil-0-0.1.git4c73428.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-04-13 23:51:02 UTC
golang-github-cznic-sortutil-0-0.1.git4c73428.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Elliott Sales de Andrade 2020-02-21 07:24:55 UTC
*** Bug 1246528 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.